commit 5590e77b02dae58134e38296662111523568abff
Author: Gurjeet Singh <gurjeet@singh.im>
Date:   Sat May 21 23:28:35 2022 -0700

    Don't set LoadedSSL unless secure_initialize succeeds

diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 3b73e26956..91e4ed41bd 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -1031,8 +1031,11 @@ PostmasterMain(int argc, char *argv[])
 #ifdef USE_SSL
 	if (EnableSSL)
 	{
-		(void) secure_initialize(true);
-		LoadedSSL = true;
+		if (secure_initialize(true) == 0)
+			LoadedSSL = true;
+		else
+			ereport(LOG,
+					(errmsg("SSL configuration was not loaded")));
 	}
 #endif
 
